Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 388991 - [patch] net-wireless/crda-1.1.2 should use pkg-config for getting libs for libnl-3.1
Summary: [patch] net-wireless/crda-1.1.2 should use pkg-config for getting libs for li...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bjarke Istrup Pedersen (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-30 16:35 UTC by Alex Turbov
Modified: 2011-11-08 13:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to apply after libnl31-support.patch from portage tree (crda-1.1.2-libnl-detector.patch,466 bytes, patch)
2011-10-30 16:36 UTC, Alex Turbov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Turbov 2011-10-30 16:35:08 UTC
first of all crda-1.1.2.ebuild refer to incorrect filename for epatch libnl:1.131-support.patch, actually the patch named libnl31-support.patch.

but that is a half of problem. the second is that given patch (as well as rest of a Makefile) refer to incorrect libary name libnl-genl. actually it should be named libnl-genl-3 for 3.0 libnl library at least (which is installed in my system).

I've done a patch to apply after libnl31-support.patch. w/o it crda has link errors and wont to emerge...

Reproducible: Always

Steps to Reproduce:
1. emerge =crda-1.1.2
2.
3.
Comment 1 Alex Turbov 2011-10-30 16:36:23 UTC
Created attachment 291247 [details, diff]
patch to apply after libnl31-support.patch from portage tree
Comment 2 Samuli Suominen gentoo-dev 2011-10-30 16:49:46 UTC
I've fixed the filename quickly.  Moving to maintainers for the updated patch.
Comment 3 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2011-11-07 20:00:35 UTC
I have merged the patch here with the patch in the tree already :)

Please test and reopen if it still fails.
Comment 4 Alex Turbov 2011-11-08 13:43:22 UTC
work for me